html{
  background-color: black;
}
*{
  margin: 0;
  padding: 0;
}


#navigate {

  opacity: 1;
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0));
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0px;
  z-index: 99999;
  width: 100%;
  height: 200px;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  color: rgb(165, 151, 143);
  transition: 0.2s ease-in-out;
}
#nav {

  opacity: 0;
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0));
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0px;
  z-index: 99999;
  width: 100%;
  height: 200px;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  color: rgb(165, 151, 143);
  transition: 0.2s ease-in-out;
}



.titleName img{
  width: 25%;


}
.iconRedes {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 50%;
  margin-top: 5%;
  margin-right: 2%;
  margin-bottom: 10%;
}

.dropdown-container {
  background-color: transparent !important;
  border: none !important;
}

.lenguajes{
  display: inline-flex;
  align-items: center;

}


.contenedorNav{
  text-align: center;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
  display: flex;
  width: 100%;
  justify-content: space-evenly;
  align-items: center;
  position: relative;
  transform-style: preserve-3d;
  perspective: 1000px;
  transition: transform 0.5s;
}

.iconosNav{
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  width: 100%;
  transform: rotateX(-180deg);
  backface-visibility: hidden;

}

.menuNav{

  display: flex;
  align-items: center;
  justify-content: space-evenly;
  width: 100%;
  transform: rotateX(180deg);
  backface-visibility: hidden;
}

.menuNav a{
  color: rgb(208, 84, 13);
  font-size: large;
  font-weight: bolder;
  text-decoration: none;
}

.contenedorNav .iconosNav,
.contenedorNav .menuNav{
  position: absolute;
  backface-visibility: hidden;
  transition: transform 0.5s;
}

.contenedorNav .menuNav{
  color: aliceblue;
  position: absolute;
  transform: rotateX(-180deg);
  /* Asegurémonos de que el menú esté visible */
  transform: rotateX(0deg);
  visibility: visible;
  opacity: 1;
}

.contenedorNavClick .iconosNav {
  transform: rotateX(0deg);
  visibility: visible;
  opacity: 1;
}

.contenedorNavClick .menuNav {
  transform: rotateX(0deg);
  visibility: visible;
  opacity: 1;
  transition: transform 0.5s, visibility 0s, opacity 0.5s;
}

/* slider */



.slider-container {
  position: relative;
  height: 100vh;
  overflow: visible;
}

.slider-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}

.slider-image.active {
  opacity: 1;
}

.slider-nav {
  position: absolute;
  top: 50%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  z-index: 999;
}


#prevButton>svg,
#nextButton>svg{
  height: 40px;
  width: 40px;
  border-radius: 100%;
  margin: 3vh;
  transition:0.15s ease-in-out;

}
#prevButton>svg:hover,
#nextButton>svg:hover{
  height: 46px;
  width: 46px;
  transform: scale(1.15);
  fill: rgb(248, 107, 13);
  background-color: aliceblue;
}